Enumerations

# depot_widget.h File Reference

Types related to the depot widgets. More...

Go to the source code of this file.

## Enumerations
enum | DepotWidgets { WID_D_CAPTION, WID_D_SELL, WID_D_SHOW_SELL_CHAIN, WID_D_SELL_CHAIN, WID_D_SELL_ALL, WID_D_AUTOREPLACE, WID_D_MATRIX, WID_D_V_SCROLL, WID_D_SHOW_H_SCROLL, WID_D_H_SCROLL, WID_D_BUILD, WID_D_CLONE, WID_D_LOCATION, WID_D_SHOW_RENAME, WID_D_RENAME, WID_D_VEHICLE_LIST, WID_D_STOP_ALL, WID_D_START_ALL }
| Widgets of the DepotWindow class. More...

## Detailed Description

Types related to the depot widgets.

Definition in file depot_widget.h.

## Enumeration Type Documentation

enum DepotWidgets

Widgets of the DepotWindow class.

Enumerator:

  WID_D_CAPTION | Caption of window.
  WID_D_SELL | Sell button.
  WID_D_SHOW_SELL_CHAIN | Show sell chain panel.
  WID_D_SELL_CHAIN | Sell chain button.
  WID_D_SELL_ALL | Sell all button.
  WID_D_AUTOREPLACE | Autoreplace button.
  WID_D_MATRIX | Matrix of vehicles.
  WID_D_V_SCROLL | Vertical scrollbar.
  WID_D_SHOW_H_SCROLL | Show horizontal scrollbar panel.
  WID_D_H_SCROLL | Horizontal scrollbar.
  WID_D_BUILD | Build button.
  WID_D_CLONE | Clone button.
  WID_D_LOCATION | Location button.
  WID_D_SHOW_RENAME | Show rename panel.
  WID_D_RENAME | Rename button.
  WID_D_VEHICLE_LIST | List of vehicles.
  WID_D_STOP_ALL | Stop all button.
  WID_D_START_ALL | Start all button.

Definition at line 16 of file depot_widget.h.